require 'yaml'

# Define installation folder and extension title
title = 'Prolance'
$ruby_path = File.dirname(__FILE__)
loader_path = 'prolance/prolance_toolbar.rbe'

# loading files
Dir.glob("#{$ruby_path}/prolance/**/*.rbe").each{|file| Sketchup::require file}
YAML.load(File.open("#{$ruby_path}/prolance/env.yml")).each{|key, value| ENV[key.to_s] = value}
desc = "Prolance Creator " + ENV["environment"]

# Create the extension.
ext = SketchupExtension.new title, loader_path

# Attach some nice info.
ext.creator     = 'Prolance, Inc.'
ext.version     = '96'
ext.copyright   = '2024 Prolance, Inc.'
ext.description = desc

# Register and load the extension on startup.
Sketchup.register_extension ext, true
